summarylogtreecommitdiffstats
path: root/notebook.install
diff options
context:
space:
mode:
Diffstat (limited to 'notebook.install')
-rw-r--r--notebook.install25
1 files changed, 25 insertions, 0 deletions
diff --git a/notebook.install b/notebook.install
new file mode 100644
index 000000000000..754b7a8ca43c
--- /dev/null
+++ b/notebook.install
@@ -0,0 +1,25 @@
+post_install() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Link to the binary
+ ln -sf '/opt/Notebook/notebook' '/usr/bin/notebook'
+
+ # SUID chrome-sandbox for Electron 5+
+ chmod 4755 '/opt/Notebook/chrome-sandbox' || true
+
+ update-mime-database /usr/share/mime || true
+ update-desktop-database /usr/share/applications || true
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Delete the link to the binary
+ rm -f '/usr/bin/notebook'
+ update-desktop-database -q
+}